Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class MetaDataLibrary

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ejb.plugins.cmp.jdbc.metadata.MetaDataLibrary

All Implemented Interfaces:
  javax.management.MBeanRegistration, MetaDataLibraryMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class MetaDataLibrary
extends org.jboss.system.ServiceMBeanSupport
implements MetaDataLibraryMBean

Version:
  `$Revision: 1.1.2.1 $`
Author:
  Alexey Loubyansky

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.ejb.plugins.cmp.jdbc.metadata.MetaDataLibraryMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`MetaDataLibrary()`

Method Summary
`JDBCTypeMappingMetaData` | `findTypeMappingMetaData(String name)`
`Set` | `getTypeMappingNames()`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### MetaDataLibrary

    public MetaDataLibrary()

Method Detail

### findTypeMappingMetaData

    public JDBCTypeMappingMetaData findTypeMappingMetaData(String name)

  Specified by:
    `findTypeMappingMetaData` in interface `MetaDataLibraryMBean`

### getTypeMappingNames

    public Set getTypeMappingNames()

  Specified by:
    `getTypeMappingNames` in interface `MetaDataLibraryMBean`

### startService

    public void startService()
                      throws Exception

  Throws:
    `Exception`

### stopService

    public void stopService()
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.